com.verisign.epp.util

## Class EqualityUtil

- java.lang.Object
- - com.verisign.epp.util.EqualityUtil

-     public class EqualityUtil
      extends java.lang.Object

  A utility class to facilitate object comparisons.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EqualityUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `equals(boolean[] a, boolean[] b)`
    `static boolean` | `equals(byte[] a, byte[] b)`
    `static boolean` | `equals(char[] a, char[] b)`
    `static boolean` | `equals(double[] a, double[] b)`
    `static boolean` | `equals(float[] a, float[] b)`
    `static boolean` | `equals(int[] a, int[] b)`
    `static boolean` | `equals(long[] a, long[] b)`
    `static boolean` | `equals(java.lang.Object[] a, java.lang.Object[] b)`
    `static boolean` | `equals(java.lang.Object a, java.lang.Object b)`
    `static boolean` | `equals(short[] a, short[] b)`
    `static boolean` | `equals(java.lang.String a, java.lang.String b)` Compare two String objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EqualityUtil

          public EqualityUtil()

  - ### Method Detail

    - #### equals

          public static boolean equals(boolean[] a,
                                       boolean[] b)

    - #### equals

          public static boolean equals(byte[] a,
                                       byte[] b)

    - #### equals

          public static boolean equals(char[] a,
                                       char[] b)

    - #### equals

          public static boolean equals(double[] a,
                                       double[] b)

    - #### equals

          public static boolean equals(float[] a,
                                       float[] b)

    - #### equals

          public static boolean equals(int[] a,
                                       int[] b)

    - #### equals

          public static boolean equals(long[] a,
                                       long[] b)

    - #### equals

          public static boolean equals(java.lang.Object a,
                                       java.lang.Object b)

    - #### equals

          public static boolean equals(java.lang.Object[] a,
                                       java.lang.Object[] b)

    - #### equals

          public static boolean equals(short[] a,
                                       short[] b)

    - #### equals

          public static boolean equals(java.lang.String a,
                                       java.lang.String b)

      Compare two String objects.

      It is common in XML to alter whitespace during the encoding process. For this reason it is a best practice to ignore whitespace when comparing XML String objects. For strict String equality cast the String objects into Object objects.

      `boolean flag = EqualityUtil.equals((Object)a, (Object)b);`

      Parameters:
        `a` - First `String`
        `b` - Second `String`
      Returns:
        `true` if equal; `false` otherwise.